Get provider projects

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /integration/v1/provider/{provider}/projects

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • provider string Required

    Values are AUTODESK, PROCORE, EGNYTE, or OPC.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string
    • name string
    • projectNumber string
    • companyId string
    • baseUrl string
GET /integration/v1/provider/{provider}/projects
curl \
 --request GET 'https://live.smartpmtech.com/integration/v1/provider/{provider}/projects' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "name": "string",
    "projectNumber": "string",
    "companyId": "string",
    "baseUrl": "string"
  }
]